Android Upgrade

Can I get a phone running Android 2.1 and upgrade it to Android 4.2?
Clayton DeckerPresidentAsked:
Who is Participating?
 
kadafitcdConnect With a Mentor Commented:
I recently upgraded my Galaxy S2 and there is 4.3 Jelly Bean Roms for it.  Like gmbaxter said we need to know your model so we can look it up for you and direct you to where to look.  One of the best places to look and do researches is XDA Developers http://forum.xda-developers.com/ Check their forums for your phone or just reply with your make and model.  

ie: Not just Samsung Galaxy S2 but Samsung's model number which you can find under settings > about phone The Galaxy S2 has 2 versions: SGH-i777 or SGH-S959g as you can see so we need you to give us specifics so we can better help you.
0
 
gmbaxterConnect With a Mentor Commented:
It depends on the make and model of the phone. Can you supply further details?
0
 
Clayton DeckerPresidentAuthor Commented:
It is a Samsung Fascinate, running v2.1.
It says it is upgradable to v2.2, but that is still quite old. Is there a way to upgrade it to an even newer version?
 Here is the link.
0
 
kadafitcdConnect With a Mentor Commented:
Ok heres a couple links for your to look over.  

First here is a link with the basics on how to update your ROM:
http://wiki.cyanogenmod.org/w/Install_CM_for_fascinatemtd

Second here is a link to a well known ROM maker Avatar I suggest doing the stable build:
http://forum.xda-developers.com/showthread.php?t=2062993

Third here is the XDAD forum list on all sorts of different ROMS and how to articles:
http://forum.xda-developers.com/samsung-fascinate/development

If you need further help respond here and we will try to walk you through anything.

Note: Doing such an upgrade is done at your own risk.  It can successfully be done but bricking has happened.  Just make sure to follow the steps properly and you should have good luck.
0
 
Clayton DeckerPresidentAuthor Commented:
Actually, I don't have the phone yet. I was looking at getting it because it is fairly  cheap, and I was just wanting to make sure it was upgradable.
Thanks a lot for the links!
0
Question has a verified solution.

Are you are experiencing a similar issue? Get a personalized answer when you ask a related question.

Have a better answer? Share it in a comment.

All Courses

From novice to tech pro — start learning today.